Bug 1369213 - Review Request: python-django-netjsongraph - Reusable django app for collecting and visualizing network topology
Summary: Review Request: python-django-netjsongraph - Reusable django app for collecti...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: >= F24 && >= EPEL7
Keywords:
Depends On: 1365782
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-22 16:56 UTC by Germano Massullo
Modified: 2017-01-16 19:51 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-01-16 19:51:12 UTC
puntogil: fedora-review+


Attachments (Terms of Use)

Description Germano Massullo 2016-08-22 16:56:41 UTC
Description:
python-django-netjsongraph is a network topology collector and network topology visualizer.
It supports collecting network topology from OLSR, BATMAN-advanced, BMX and NetJSON NetworkGraph.

spec file: https://germano.fedorapeople.org/package_reviews/python-django-netjsongraph/python-django-netjsongraph.spec
srpm file: https://germano.fedorapeople.org/package_reviews/python-django-netjsongraph/python-django-netjsongraph-0.2.1-1.fc24.src.rpm

Notes:
- for the reviewer: I am not sure if all BuildRequires are required. Concerning Requires instead, I am pretty sure about them.
- python-django-model-utils is in >= F24, EPEL7 updates-testing

Comment 1 gil cattaneo 2016-09-10 17:59:27 UTC
i dont uderstand this part of your spec file:

%description -n python-%{pypi_name}
django-netjsongraph is a network topology collector and
network topology visualizer.
It supports collecting network topology from OLSR,
BATMAN-advanced, BMX and NetJSON NetworkGraph.
%{?python_provide:%python_provide python-%{pypi_name}}
%if 0%{?with_python2}
Requires:       python2-django >= 1.9, python2-django < 1.10
Requires:       python2-django-model-utils
Requires:       python2-django-rest-framework >= 3.3, python2-django-rest-framework < 3.4
Requires:       python2-netdiff >= 0.4.7, python2-netdiff <= 5.0
Requires:       python2-six
%endif

%if 0%{?with_python3}
Requires:       python3-django >= 1.9, python3-django < 1.10
Requires:       python3-django-model-utils
Requires:       python3-django-rest-framework >= 3.3, python3-django-rest-framework < 3.4
Requires:       python3-netdiff >= 0.4.7, python3-netdiff <= 5.0
Requires:       python3-six
%endif

the python2 package is available only in EL7?
otherwise you should use this template
https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 2 Germano Massullo 2016-09-10 18:05:41 UTC
(In reply to gil cattaneo from comment #1)
> i dont uderstand this part of your spec file:
>...
> 
> the python2 package is available only in EL7?
> otherwise you should use this template
> https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Python 3 is available only on Fedora

Comment 3 gil cattaneo 2016-09-10 18:06:21 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 44 files have
     unknown license. Detailed output of licensecheck in /home/gil/1369213
     -python-django-netjsongraph/licensecheck.txt
    All source files are without license headers. Please, ask to upstream to confirm the
    licensing of code and/or content/s, and ask to add license headers
    https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.5/site-
     packages/tests(python3-repoze-who-plugins-sa, python3-custodia,
     python3-journal-brief, python3-django-federated-login,
     python3-oauth2), /usr/lib/python3.5/site-
     packages/tests/__pycache__(python3-repoze-who-plugins-sa,
     python3-custodia, python3-oauth2, python3-django-federated-login)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[?]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-django-netjsongraph-0.2.1-1.fc26.noarch.rpm
          python-django-netjsongraph-0.2.1-1.fc26.src.rpm
python-django-netjsongraph.noarch: W: spelling-error %description -l en_US utils -> tills
python-django-netjsongraph.noarch: W: spelling-error %description -l en_US netdiff -> net diff, net-diff, diffident
python-django-netjsongraph.noarch: W: tag-in-description C Provides:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: E: description-line-too-long C Requires:       python3-django-rest-framework >= 3.3, python3-django-rest-framework < 3.4
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: E: no-changelogname-tag
python-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/tests/manage.py /usr/bin/env python
python-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/tests/manage.py 644 /usr/bin/env python
python-django-netjsongraph.src: W: spelling-error %description -l en_US utils -> tills
python-django-netjsongraph.src: W: spelling-error %description -l en_US netdiff -> net diff, net-diff, diffident
python-django-netjsongraph.src: W: tag-in-description C Requires:
python-django-netjsongraph.src: W: tag-in-description C Requires:
python-django-netjsongraph.src: E: description-line-too-long C Requires:       python3-django-rest-framework >= 3.3, python3-django-rest-framework < 3.4
python-django-netjsongraph.src: W: tag-in-description C Requires:
python-django-netjsongraph.src: W: tag-in-description C Requires:
python-django-netjsongraph.src: W: tag-in-description C Requires:
python-django-netjsongraph.src: E: no-changelogname-tag
python-django-netjsongraph.src:86: W: macro-in-comment %{__python2}
python-django-netjsongraph.src:87: W: macro-in-comment %{__python3}
2 packages and 0 specfiles checked; 6 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
python-django-netjsongraph.noarch: W: spelling-error %description -l en_US utils -> tills
python-django-netjsongraph.noarch: W: spelling-error %description -l en_US netdiff -> net diff, net-diff, diffident
python-django-netjsongraph.noarch: W: tag-in-description C Provides:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: E: description-line-too-long C Requires:       python3-django-rest-framework >= 3.3, python3-django-rest-framework < 3.4
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: E: no-changelogname-tag
python-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/tests/manage.py /usr/bin/env python
python-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/tests/manage.py 644 /usr/bin/env python
1 packages and 0 specfiles checked; 4 errors, 8 warnings.



Requires
--------
python-django-netjsongraph (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-django-netjsongraph:
    python-django-netjsongraph
    python3.5dist(django-netjsongraph)
    python3dist(django-netjsongraph)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/d/django-netjsongraph/django-netjsongraph-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : bcdf4b744a07a8f1757a3dc6124f458b492b75a6561a7d4cf8e54b91a9eacbd9
  CHECKSUM(SHA256) upstream package : bcdf4b744a07a8f1757a3dc6124f458b492b75a6561a7d4cf8e54b91a9eacbd9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1369213 --plugins Python -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 gil cattaneo 2016-09-10 18:08:19 UTC
(In reply to Germano Massullo from comment #2)
> (In reply to gil cattaneo from comment #1)
> > i dont uderstand this part of your spec file:
> >...
> > 
> > the python2 package is available only in EL7?
> > otherwise you should use this template
> > https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
> 
> Python 3 is available only on Fedora

Yes but in fedora is available Python2 also ...
and my hint can solve this problem:
python-django-netjsongraph.noarch: E: description-line-too-long C Requires:       python3-django-rest-framework >= 3.3, python3-django-rest-framework < 3.4

Comment 5 gil cattaneo 2016-09-10 18:10:09 UTC
Issues:
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 44 files have
     unknown license. Detailed output of licensecheck in /home/gil/1369213
     -python-django-netjsongraph/licensecheck.txt
    All source files are without license headers. Please, ask to upstream to confirm the
    licensing of code and/or content/s, and ask to add license headers
    https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

python-django-netjsongraph.noarch: E: description-line-too-long C Requires:       python3-django-rest-framework >= 3.3, python3-django-rest-framework < 3.4
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: E: no-changelogname-tag
python-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/tests/manage.py /usr/bin/env python
python-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/tests/manage.py 644 /usr/bin/env python

Comment 6 Igor Gnatenko 2016-09-10 18:24:55 UTC
Package should contain both py2 and py3 subpackages and make use of %python_provide macro.

Comment 7 gil cattaneo 2016-09-10 18:42:42 UTC
Please, remove "%if 0%{?with_python2}" and
replace "%if 0%{?with_python3}" with "%if 0%{?el7}"

Comment 8 Germano Massullo 2016-09-10 22:39:13 UTC
(In reply to gil cattaneo from comment #7)
> Please, remove "%if 0%{?with_python2}" and
> replace "%if 0%{?with_python3}" with "%if 0%{?el7}"

Why? The package either installs Python 2 version or Python3 version depending on which Python interpreter version is shipped with the system

Comment 9 gil cattaneo 2016-09-10 23:27:37 UTC

(In reply to Germano Massullo from comment #8)
> (In reply to gil cattaneo from comment #7)
> > Please, remove "%if 0%{?with_python2}" and
> > replace "%if 0%{?with_python3}" with "%if 0%{?el7}"
> 
> Why? The package either installs Python 2 version or Python3 version
> depending on which Python interpreter version is shipped with the system

Because of Comment#6 and is not safe use your approch in the spec file
i suggested of revrite your spec file using the template mentioned above.

Comment 10 Germano Massullo 2016-09-10 23:34:49 UTC
(In reply to gil cattaneo from comment #9)
> 
> (In reply to Germano Massullo from comment #8)
> > (In reply to gil cattaneo from comment #7)
> > > Please, remove "%if 0%{?with_python2}" and
> > > replace "%if 0%{?with_python3}" with "%if 0%{?el7}"
> > 
> > Why? The package either installs Python 2 version or Python3 version
> > depending on which Python interpreter version is shipped with the system
> 
> Because of Comment#6 and is not safe use your approch in the spec file
> i suggested of revrite your spec file using the template mentioned above.

Please define "not safe"

Comment 11 Germano Massullo 2016-09-10 23:37:19 UTC
(In reply to gil cattaneo from comment #9)
> Because of Comment#6

It is an application, not a library, so you are not forced to provide both Python 2 & 3 versions at the same time

Comment 12 Fabio Alessandro Locati 2016-09-11 16:12:17 UTC
I came across this and would like to point out that this is not an application (since does not have any file in %{_bindir}.
Also this is a django application, and all other django packages, all them (78/78) provide a py2 version and some (42/78) also a py3 version.

Comment 13 Germano Massullo 2016-09-11 16:17:11 UTC
Please hold on 3 days, I have to ask a question into Python SIG mailing list.
Thank you

Comment 14 gil cattaneo 2016-09-11 17:21:51 UTC
(In reply to Germano Massullo from comment #10)
> (In reply to gil cattaneo from comment #9)
> > 
> > (In reply to Germano Massullo from comment #8)
> > > (In reply to gil cattaneo from comment #7)
> > > > Please, remove "%if 0%{?with_python2}" and
> > > > replace "%if 0%{?with_python3}" with "%if 0%{?el7}"
> > > 
> > > Why? The package either installs Python 2 version or Python3 version
> > > depending on which Python interpreter version is shipped with the system
> > 
> > Because of Comment#6 and is not safe use your approch in the spec file
> > i suggested of revrite your spec file using the template mentioned above.
> 
> Please define "not safe"

1. You put all "Requires: " under the %description tag, and they become part of this tag:

python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.noarch: W: tag-in-description C Requires:
python-django-netjsongraph.src: E: description-line-too-long C Requires:       python3-django-rest-framework >= 3.3, python3-django-rest-framework < 3.4

2. some of the "django packages" do not use both Python interpreters
   for me it means only that they are not compatible with either of these two.
   perhaps this package does not fall into this category ... ?

Comment 15 Germano Massullo 2016-09-12 21:11:01 UTC
1) I am working on it
2) Please refer to discussion
https://lists.fedoraproject.org/archives/list/python-devel@lists.fedoraproject.org/thread/GJKSTHCLSLKWLSFICHKI6YSLKWSYUMM2/

Comment 16 Germano Massullo 2016-09-13 10:29:22 UTC
2) enabled Python2 and Python3 builds

Comment 18 gil cattaneo 2016-09-13 10:57:36 UTC
hi
the spec file have the same issue reported in the Comment#14
please. fix it

Comment 19 Fabio Alessandro Locati 2016-09-13 11:11:00 UTC
Also, python3 package does not exists, since it does not have a declaration, nor a description nor file associated, just dependencies

Comment 21 Kevin Kofler 2016-09-13 11:48:23 UTC
The file list is wrong, you are listing both the Python 2 and 3 files for the main package. You should instead list the Python 2 files for the python2-* package and the Python 3 files for the python3-* package. (Use "%files -n packagename".)

Comment 23 Igor Gnatenko 2016-09-13 12:24:27 UTC
> Requires:       python3-django >= 1.9, python3-django < 1.10
such things will never work.

It will pull all possible packages within this range.

Comment 24 Germano Massullo 2016-09-13 12:27:17 UTC
(In reply to Igor Gnatenko from comment #23)
> > Requires:       python3-django >= 1.9, python3-django < 1.10
> such things will never work.
> 
> It will pull all possible packages within this range.

How would you handle it?

Comment 25 Igor Gnatenko 2016-09-13 12:30:54 UTC
(In reply to Germano Massullo from comment #24)
> (In reply to Igor Gnatenko from comment #23)
> > > Requires:       python3-django >= 1.9, python3-django < 1.10
> > such things will never work.
> > 
> > It will pull all possible packages within this range.
> 
> How would you handle it?
It's not possible.

Based on that django in F24 GA was 1.9, you can just put Requires: python3-django

Comment 26 Germano Massullo 2016-09-19 14:56:39 UTC
gil, lastest files version is at https://bugzilla.redhat.com/show_bug.cgi?id=1369213#c22

Comment 27 gil cattaneo 2016-09-19 15:24:04 UTC
(In reply to Germano Massullo from comment #26)
> gil, lastest files version is at
> https://bugzilla.redhat.com/show_bug.cgi?id=1369213#c22

for Fedora python3 should be the default interpreter the reason are summarized in https://bugzilla.redhat.com/show_bug.cgi?id=1346243#c6.
I would not have done better ...

Comment 28 Germano Massullo 2016-09-19 15:45:08 UTC
(In reply to gil cattaneo from comment #27)
> (In reply to Germano Massullo from comment #26)
> > gil, lastest files version is at
> > https://bugzilla.redhat.com/show_bug.cgi?id=1369213#c22
> 
> for Fedora python3 should be the default interpreter the reason are
> summarized in https://bugzilla.redhat.com/show_bug.cgi?id=1346243#c6.
> I would not have done better ...

wrong

Message URL
https://lists.fedoraproject.org/archives/list/python-devel@lists.fedoraproject.org/message/SXVBA55NHTX2XVPVNGFVWJUNIR2Z3WDX/

==========================================================================
BY Miro Hrončok, core member of Python-SIG
This package shall (on Fedora) produce two subpackages: python2-django-netjsongraph and python3-django-netjsongraph. See an example spec here: 
http://python-rpm-porting.readthedocs.io/en/latest/modules.html#ported-rpm-spec-file
==========================================================================

Comment 29 gil cattaneo 2016-09-19 15:59:18 UTC
(In reply to Germano Massullo from comment #28)
> (In reply to gil cattaneo from comment #27)
> > (In reply to Germano Massullo from comment #26)
> > > gil, lastest files version is at
> > > https://bugzilla.redhat.com/show_bug.cgi?id=1369213#c22
> > 
> > for Fedora python3 should be the default interpreter the reason are
> > summarized in https://bugzilla.redhat.com/show_bug.cgi?id=1346243#c6.
> > I would not have done better ...
> 
> wrong
> 
> Message URL
> https://lists.fedoraproject.org/archives/list/python-devel@lists.
> fedoraproject.org/message/SXVBA55NHTX2XVPVNGFVWJUNIR2Z3WDX/
> 
> ==========================================================================
> BY Miro Hrončok, core member of Python-SIG
> This package shall (on Fedora) produce two subpackages:
> python2-django-netjsongraph and python3-django-netjsongraph. See an example
> spec here: 
> http://python-rpm-porting.readthedocs.io/en/latest/modules.html#ported-rpm-
> spec-file
> ==========================================================================

So is only a question of branch and not of interpreter. you should change the if in corrispondint of the pytho3 package as i wrote  in comment#7

Comment 30 Germano Massullo 2016-09-19 16:54:17 UTC
(In reply to gil cattaneo from comment #29)
> So is only a question of branch and not of interpreter. you should change
> the if in corrispondint of the pytho3 package as i wrote  in comment#7

First of all, let's start speaking about line numbers
if you mean that line number 57
%if 0%{?with_python3}
should be replaced with
%if 0%{?el7}
that is a nonsense

Comment 31 gil cattaneo 2016-09-19 23:51:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 44 files have
     unknown license. Detailed output of licensecheck in /home/gil/1369213
     -python-django-netjsongraph/licensecheck.txt

 ./django-netjsongraph-0.2.1/django_netjsongraph/static/netjsongraph/lib/d3.min.js
 https://github.com/d3/d3 under BSD 3-Clause License.
 ./django-netjsongraph-0.2.1/django_netjsongraph/static/netjsongraph/src/netjsongraph.js
 https://github.com/interop-dev/netjsongraph.js under BSD 3-Clause License.
 All source files are without license headers. Please, ask to upstream to confirm the
 licensing of code and/or content/s
 https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
 
[x]: License file installed when any subpackage combination is installed.
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.5/site-
     packages/tests(python3-repoze-who-plugins-sa, python3-custodia,
     python3-journal-brief, python3-django-federated-login,
     python3-oauth2), /usr/lib/python3.5/site-
     packages/tests/__pycache__(python3-repoze-who-plugins-sa,
     python3-custodia, python3-oauth2, python3-django-federated-login),
     /usr/lib/python2.7/site-packages/tests(python-repoze-who-plugins-sa,
     python-libturpial, python-django-federated-login, python-custodia)

[!]: Package contains no bundled libraries without FPC exception.
 ./django-netjsongraph-0.2.1/django_netjsongraph/static/netjsongraph/lib/d3.min.js
 ./django-netjsongraph-0.2.1/django_netjsongraph/static/netjsongraph/src/netjsongraph.js
  Please, add: Provides:       bundled(js-netjsongraph) = 0.1
               Provides:       bundled(js-d3) = 3.5.5
  in each Python packages.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -django-netjsongraph , python3-django-netjsongraph
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-django-netjsongraph-0.2.1-1.fc26.noarch.rpm
          python3-django-netjsongraph-0.2.1-1.fc26.noarch.rpm
          python-django-netjsongraph-0.2.1-1.fc26.src.rpm
python2-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/tests/manage.py /usr/bin/env python
python2-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tests/manage.py 644 /usr/bin/env python
python3-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/tests/manage.py /usr/bin/env python
python3-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/tests/manage.py 644 /usr/bin/env python
python-django-netjsongraph.src:91: W: macro-in-comment %{__python2}
python-django-netjsongraph.src:92: W: macro-in-comment %{__python3}
3 packages and 0 specfiles checked; 4 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python3-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/tests/manage.py /usr/bin/env python
python3-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/tests/manage.py 644 /usr/bin/env python
python2-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/tests/manage.py /usr/bin/env python
python2-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tests/manage.py 644 /usr/bin/env python
2 packages and 0 specfiles checked; 4 errors, 0 warnings.



Requires
--------
python3-django-netjsongraph (rpmlib, GLIBC filtered):
    python(abi)
    python3-django
    python3-django-model-utils
    python3-django-rest-framework
    python3-netdiff
    python3-six

python2-django-netjsongraph (rpmlib, GLIBC filtered):
    python(abi)
    python2-django
    python2-django-model-utils
    python2-django-rest-framework
    python2-netdiff
    python2-six



Provides
--------
python3-django-netjsongraph:
    python3-django-netjsongraph
    python3.5dist(django-netjsongraph)
    python3dist(django-netjsongraph)

python2-django-netjsongraph:
    python-django-netjsongraph
    python2-django-netjsongraph
    python2.7dist(django-netjsongraph)
    python2dist(django-netjsongraph)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/d/django-netjsongraph/django-netjsongraph-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : bcdf4b744a07a8f1757a3dc6124f458b492b75a6561a7d4cf8e54b91a9eacbd9
  CHECKSUM(SHA256) upstream package : bcdf4b744a07a8f1757a3dc6124f458b492b75a6561a7d4cf8e54b91a9eacbd9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1369213 --plugins Python -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 32 gil cattaneo 2016-09-19 23:57:01 UTC
Issues:

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 44 files have
     unknown license. Detailed output of licensecheck in /home/gil/1369213
     -python-django-netjsongraph/licensecheck.txt

 ./django-netjsongraph-0.2.1/django_netjsongraph/static/netjsongraph/lib/d3.min.js
 https://github.com/d3/d3 under BSD 3-Clause License.
 ./django-netjsongraph-0.2.1/django_netjsongraph/static/netjsongraph/src/netjsongraph.js
 https://github.com/interop-dev/netjsongraph.js under BSD 3-Clause License.
 All source files are without license headers. Please, ask to upstream to
 confirm the licensing of code and/or content/s. and add  license headers
 licensing of code and/or content/s
 https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

[!]: Package contains no bundled libraries without FPC exception.
 ./django-netjsongraph-0.2.1/django_netjsongraph/static/netjsongraph/lib/d3.min.js
 ./django-netjsongraph-0.2.1/django_netjsongraph/static/netjsongraph/src/netjsongraph.js
  Please, add: Provides:       bundled(js-netjsongraph) = 0.1
               Provides:       bundled(js-d3) = 3.5.5
  in each Python packages.


python2-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/tests/manage.py /usr/bin/env python
python2-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tests/manage.py 644 /usr/bin/env python
python3-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/tests/manage.py /usr/bin/env python
python3-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/tests/manage.py 644 /usr/bin/env python

Comment 33 Germano Massullo 2016-12-14 16:47:12 UTC
After huge discussion with various Fedora senior developers, I take the decision to not remove the javascript-d3 library and to declare it into the spec file.

Comment 34 Germano Massullo 2016-12-14 17:08:51 UTC
Upstream also updated the README adding explicit reference to the bundled library
https://github.com/interop-dev/django-netjsongraph/commit/e975da068bfe95cf09eb08820120cb6a3c971720

Concerning licences:
- django-netjsongraph has MIT licence;
- d3 has BSD-3-Clause licence.
I have to ask into devel mailing list how to correctly mention both licences in the spec file

Comment 35 gil cattaneo 2016-12-14 18:53:56 UTC
(In reply to Germano Massullo from comment #34)

> Concerning licences:
> - django-netjsongraph has MIT licence;
> - d3 has BSD-3-Clause licence.
> I have to ask into devel mailing list how to correctly mention both licences
> in the spec file
Just so (e.g.):
# BSD-3-Clause licence: ./django_netjsongraph/static/netjsongraph/lib/d3.min.js
License:        MIT and BSD

Comment 36 Germano Massullo 2017-01-02 15:46:53 UTC
spec file: https://germano.fedorapeople.org/package_reviews/python-django-netjsongraph/python-django-netjsongraph.spec

srpm file: https://germano.fedorapeople.org/package_reviews/python-django-netjsongraph/python-django-netjsongraph-0.2.1-1.fc25.src.rpm

I tested fedora-review and the trivial errors of manage.py are not important since test have been disabled

Comment 37 gil cattaneo 2017-01-02 16:51:32 UTC
you should use this format:Provides:       bundled(foo) = "fooversion"
e.g. Provides:       bundled(js-d3) = 3.5.5

Comment 38 gil cattaneo 2017-01-02 16:52:40 UTC
is available a new release: https://github.com/interop-dev/django-netjsongraph/releases/tag/0.2.2

Comment 40 gil cattaneo 2017-01-02 19:44:52 UTC
Build fails:

DEBUG util.py:421:  Last metadata expiration check: 0:01:26 ago on Mon Jan  2 20:20:49 2017.
DEBUG util.py:421:  Error: nothing provides python(abi) = 3.5 needed by python3-django-model-utils-2.5.2-1.fc26.noarch
DEBUG util.py:421:  (try to add '--allowerasing' to command line to replace conflicting packages)
DEBUG util.py:557:  Child return code was: 1
DEBUG util.py:180:  kill orphans
DEBUG util.py:578:  child environment: None

Any ideas?

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 44 files have
     unknown license. Detailed output of licensecheck in /home/gil/1369213
     -python-django-netjsongraph/licensecheck.txt

 All source files are without license headers. Please, ask to upstream to confirm the
 licensing of code and/or content/s and add license headers
 https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

Comment 41 gil cattaneo 2017-01-02 19:48:59 UTC
(In reply to gil cattaneo from comment #40)
> Build fails:
> 
> DEBUG util.py:421:  Last metadata expiration check: 0:01:26 ago on Mon Jan 
> 2 20:20:49 2017.
> DEBUG util.py:421:  Error: nothing provides python(abi) = 3.5 needed by
> python3-django-model-utils-2.5.2-1.fc26.noarch
> DEBUG util.py:421:  (try to add '--allowerasing' to command line to replace
> conflicting packages)
> DEBUG util.py:557:  Child return code was: 1
> DEBUG util.py:180:  kill orphans
> DEBUG util.py:578:  child environment: None
> 
> Any ideas?

Please rebuild python-django-model-utils

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "MIT/X11 (BSD like)", "Unknown or generated". 44 files have
>      unknown license. Detailed output of licensecheck in /home/gil/1369213
>      -python-django-netjsongraph/licensecheck.txt
> 
All source files are without license headers. Please, ask to upstream to
 confirm the
  licensing of code and/or content/s and add license headers
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
 LicensingGuidelines#License_Clarification

Comment 42 Germano Massullo 2017-01-02 23:19:58 UTC
(In reply to gil cattaneo from comment #41)
> Please rebuild python-django-model-utils

Done
 
> > [!]: License field in the package spec file matches the actual license.
> >      Note: Checking patched sources after %prep for licenses. Licenses
> >      found: "MIT/X11 (BSD like)", "Unknown or generated". 44 files have
> >      unknown license. Detailed output of licensecheck in /home/gil/1369213
> >      -python-django-netjsongraph/licensecheck.txt
> > 
> All source files are without license headers. Please, ask to upstream to
>  confirm the
>   licensing of code and/or content/s and add license headers
>   https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
>  LicensingGuidelines#License_Clarification

The LICENSE file in sources package states what is the licence of the software, except for javascript-d3 that is BSD (as stated in the spec file).
So we do not need upstream to sign all source files

Comment 43 gil cattaneo 2017-01-03 10:55:03 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 44 files have
     unknown license. Detailed output of licensecheck in /home/gil/1369213
     -python-django-netjsongraph/licensecheck.txt
 See previous comments
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.6/site-packages,
     /usr/lib/python3.6
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/tests(python-repoze-who-plugins-sa, python-libturpial,
     python-django-federated-login, python-custodia, python2-modulemd)
[?]: Package contains no bundled libraries without FPC exception.
[?]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -django-netjsongraph , python3-django-netjsongraph
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-django-netjsongraph-0.2.2-1.fc26.noarch.rpm
          python3-django-netjsongraph-0.2.2-1.fc26.noarch.rpm
          python-django-netjsongraph-0.2.2-1.fc26.src.rpm
python2-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/tests/manage.py /usr/bin/env python
python2-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tests/manage.py 644 /usr/bin/env python
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_admin.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/models/__pycache__/topology.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_topology.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/serializers.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_api.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/admin.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/visualizer/__pycache__/views.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/contextmanagers.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/local_settings.example.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/parsers.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/utils.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/management/commands/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/models/__pycache__/node.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/tests/manage.py /usr/bin/env python
python3-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/tests/manage.py 644 /usr/bin/env python
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/models/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/settings.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_admin.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_visualizer.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/models/__pycache__/link.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/ninux_whois.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/ninux_whois.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_link.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/0001_initial.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/management/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/local_settings.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/local_settings.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/settings.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_visualizer.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/management/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/parsers.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/apps.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/0002_topology_published.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_node.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/manage.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/visualizer/__pycache__/urls.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_utils.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/urls.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/models/__pycache__/topology.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/views.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/admin.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/visualizer/__pycache__/views.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_utils.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/settings.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/apps.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/serializers.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/utils.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/management/commands/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/models/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/urls.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/management/commands/__pycache__/update_topology.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/0002_topology_published.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/0004_increased_addresses_maxlength.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/manage.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/urls.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/visualizer/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/urls.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/base.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/utils.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/0003_topology_receive_strategy.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/visualizer/__pycache__/urls.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/models/__pycache__/node.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/models/__pycache__/link.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/contextmanagers.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/utils.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/visualizer/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_topology.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/management/commands/__pycache__/update_topology.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/0001_initial.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/base.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_link.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_api.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/0004_increased_addresses_maxlength.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/migrations/__pycache__/0003_topology_receive_strategy.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/api/__pycache__/views.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/tests/__pycache__/local_settings.example.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/tests/__pycache__/test_node.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-django-netjsongraph.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/django_netjsongraph/__pycache__/settings.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python-django-netjsongraph.src:81: W: macro-in-comment %{__python2}
python-django-netjsongraph.src:82: W: macro-in-comment %{__python3}
3 packages and 0 specfiles checked; 90 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python3-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/tests/manage.py /usr/bin/env python
python3-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/tests/manage.py 644 /usr/bin/env python
python2-django-netjsongraph.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/tests/manage.py /usr/bin/env python
python2-django-netjsongraph.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tests/manage.py 644 /usr/bin/env python
2 packages and 0 specfiles checked; 4 errors, 0 warnings.



Requires
--------
python3-django-netjsongraph (rpmlib, GLIBC filtered):
    python(abi)
    python3-django
    python3-django-model-utils
    python3-django-rest-framework
    python3-netdiff
    python3-six

python2-django-netjsongraph (rpmlib, GLIBC filtered):
    python(abi)
    python2-django
    python2-django-model-utils
    python2-django-rest-framework
    python2-netdiff
    python2-six



Provides
--------
python3-django-netjsongraph:
    python3-django-netjsongraph
    python3.6dist(django-netjsongraph)
    python3dist(django-netjsongraph)

python2-django-netjsongraph:
    python-django-netjsongraph
    python2-django-netjsongraph
    python2.7dist(django-netjsongraph)
    python2dist(django-netjsongraph)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/d/django-netjsongraph/django-netjsongraph-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 88772f6ea5da86fec4d3ba9584f5bbb728b9a3ce671df2ac93804b8bd98e96e5
  CHECKSUM(SHA256) upstream package : 88772f6ea5da86fec4d3ba9584f5bbb728b9a3ce671df2ac93804b8bd98e96e5


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1369213 --plugins Python -m fedora-rawhide-i386 -L ~/python-django-model-utils-2.6
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    ~/python-django-model-utils-2.6/python3-django-model-utils-2.6-1.fc26.noarch.rpm
    ~/python-django-model-utils-2.6/python2-django-model-utils-2.6-1.fc26.noarch.rpm

Comment 44 Gwyn Ciesla 2017-01-03 13:36:55 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-django-netjsongraph

Comment 45 Fedora Update System 2017-01-07 14:00:38 UTC
python-django-netjsongraph-0.2.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb59b6f537

Comment 46 Fedora Update System 2017-01-08 02:22:11 UTC
python-django-netjsongraph-0.2.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb59b6f537

Comment 47 Fedora Update System 2017-01-16 19:51:12 UTC
python-django-netjsongraph-0.2.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.